import { h, defineComponent } from 'vue';
export default defineComponent({
    props: {
        clsPrefix: {
            type: String,
            required: true
        },
        onClick: Function,
        collapsed: {
            type: Boolean,
            default: false
        }
    },
    render() {
        const { clsPrefix } = this;
        return (h("div", { onClick: this.onClick, class: [
                `${clsPrefix}-layout-toggle-bar`,
                this.collapsed && `${clsPrefix}-layout-toggle-bar--collapsed`
            ] },
            h("div", { class: `${clsPrefix}-layout-toggle-bar__top` }),
            h("div", { class: `${clsPrefix}-layout-toggle-bar__bottom` })));
    }
});
