"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createItems = void 0;
function createItems(items) {
    return items.map((item) => {
        const isGroup = item.group || item.type === 'group';
        const children = item.childItems || item.children;
        const key = item.name || item.key;
        const extra = item.extra || item.titleExtra;
        const label = item.label || item.title || key || '';
        const menuOption = {
            path: item.path,
            label: label,
            extra: extra,
            key: key || 'key-required',
            disabled: item.disabled,
            children: children ? createItems(children) : undefined,
            type: isGroup ? 'group' : undefined
        };
        return menuOption;
    });
}
exports.createItems = createItems;
