"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cssr_1 = require("../../_utils/cssr");
const _common_1 = require("../common/_common");
const { cubicBezierEaseIn, cubicBezierEaseOut } = _common_1.default;
function default_1({ duration = '0.3s', leaveDuration = '0.2s', name = 'slide-in-from-left' } = {}) {
    return [
        cssr_1.c(`&.${name}-transition-leave-active`, {
            transition: `transform ${leaveDuration} ${cubicBezierEaseIn}`
        }),
        cssr_1.c(`&.${name}-transition-enter-active`, {
            transition: `transform ${duration} ${cubicBezierEaseOut}`
        }),
        cssr_1.c(`&.${name}-transition-enter-to`, {
            transform: 'translateX(0)'
        }),
        cssr_1.c(`&.${name}-transition-enter-from`, {
            transform: 'translateX(-100%)'
        }),
        cssr_1.c(`&.${name}-transition-leave-from`, {
            transform: 'translateX(0)'
        }),
        cssr_1.c(`&.${name}-transition-leave-to`, {
            transform: 'translateX(-100%)'
        })
    ];
}
exports.default = default_1;
