"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flatten = void 0;
const vue_1 = require("vue");
// o(n) flatten
function flatten(vNodes, result = []) {
    vNodes.forEach((vNode) => {
        if (vNode === null)
            return;
        if (typeof vNode !== 'object') {
            if (typeof vNode === 'string' || typeof vNode === 'number') {
                result.push(vue_1.createTextVNode(String(vNode)));
            }
            return;
        }
        if (Array.isArray(vNode)) {
            flatten(vNode, result);
            return;
        }
        if (vNode.type === vue_1.Fragment) {
            if (vNode.children === null)
                return;
            if (Array.isArray(vNode.children)) {
                flatten(vNode.children, result);
            }
            // rawSlot
        }
        else {
            result.push(vNode);
        }
    });
    return result;
}
exports.flatten = flatten;
