"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.render = void 0;
const vue_1 = require("vue");
exports.render = vue_1.defineComponent({
    name: 'Render',
    props: {
        render: [String, Number, Function, Boolean]
    },
    render() {
        const { render } = this;
        if (render === undefined || render === null)
            return null;
        if (typeof render === 'function') {
            return render();
        }
        else if (typeof render === 'string') {
            return vue_1.createTextVNode(render);
        }
        else if (typeof render === 'number') {
            return vue_1.createTextVNode(String(render));
        }
        else {
            return JSON.stringify(render);
        }
    }
});
