import { ComputedRef, Ref } from 'vue';
import { DataTableSetupProps } from './DataTable';
import type { ColumnKey, MainTableRef } from './interface';
export declare function useScroll(props: DataTableSetupProps, { mainTableInstRef, mergedCurrentPageRef, bodyWidthRef, scrollPartRef }: {
    scrollPartRef: Ref<'head' | 'body'>;
    bodyWidthRef: Ref<null | number>;
    mainTableInstRef: Ref<MainTableRef | null>;
    mergedCurrentPageRef: ComputedRef<number>;
}): {
    styleScrollXRef: ComputedRef<string | undefined>;
    fixedColumnLeftMapRef: ComputedRef<Record<ColumnKey, number | undefined>>;
    fixedColumnRightMapRef: ComputedRef<Record<ColumnKey, number | undefined>>;
    leftFixedColumnsRef: ComputedRef<import("./interface").TableColumn<any>[]>;
    rightFixedColumnsRef: ComputedRef<import("./interface").TableColumn<any>[]>;
    leftActiveFixedColKeyRef: Ref<ColumnKey | null>;
    rightActiveFixedColKeyRef: Ref<ColumnKey | null>;
    syncScrollState: () => void;
    handleTableBodyScroll: () => void;
    handleTableHeaderScroll: () => void;
    setHeaderScrollLeft: (left: number) => void;
};
