"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.self = void 0;
const common_1 = require("../../_styles/common");
const styles_1 = require("../../scrollbar/styles");
const _mixins_1 = require("../../_mixins");
const self = (vars) => {
    const { modalColor, textColor1, textColor2, boxShadow3, lineHeight, fontWeightStrong, dividerColor } = vars;
    return {
        bodyPadding: '16px 24px',
        headerPadding: '16px 24px',
        footerPadding: '16px 24px',
        color: modalColor,
        textColor: textColor2,
        titleTextColor: textColor1,
        titleFontSize: '20px',
        titleFontWeight: fontWeightStrong,
        boxShadow: boxShadow3,
        lineHeight,
        headerBorderBottom: `1px solid ${dividerColor}`,
        footerBorderTop: `1px solid ${dividerColor}`
    };
};
exports.self = self;
const drawerLight = _mixins_1.createTheme({
    name: 'Drawer',
    common: common_1.commonLight,
    peers: {
        Scrollbar: styles_1.scrollbarLight
    },
    self: exports.self
});
exports.default = drawerLight;
