"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _common_1 = require("./_common");
const seemly_1 = require("seemly");
const common_1 = require("../../_styles/common");
const self = (vars) => {
    const { textColor2, primaryColorHover, primaryColorPressed, primaryColor, infoColor, successColor, warningColor, errorColor, baseColor, borderColor, opacityDisabled, tagColor, closeColor, closeColorHover, closeColorPressed, borderRadiusSmall: borderRadius, fontSizeTiny, fontSizeSmall, fontSizeMedium, heightTiny, heightSmall, heightMedium } = vars;
    return Object.assign(Object.assign({}, _common_1.default), { heightSmall: heightTiny, heightMedium: heightSmall, heightLarge: heightMedium, borderRadius,
        opacityDisabled, fontSizeSmall: fontSizeTiny, fontSizeMedium: fontSizeSmall, fontSizeLarge: fontSizeMedium, 
        // checked
        textColorCheckable: textColor2, textColorHoverCheckable: primaryColorHover, textColorPressedCheckable: primaryColorPressed, textColorChecked: baseColor, colorCheckable: '#0000', colorHoverCheckable: '#0000', colorPressedCheckable: '#0000', colorChecked: primaryColor, colorCheckedHover: primaryColorHover, colorCheckedPressed: primaryColorPressed, 
        // default
        border: `1px solid ${borderColor}`, textColor: textColor2, color: tagColor, closeColor: closeColor, closeColorHover: closeColorHover, closeColorPressed: closeColorPressed, borderPrimary: `1px solid ${seemly_1.changeColor(primaryColor, { alpha: 0.3 })}`, textColorPrimary: primaryColor, colorPrimary: seemly_1.changeColor(primaryColor, { alpha: 0.1 }), closeColorPrimary: seemly_1.changeColor(primaryColor, { alpha: 0.75 }), closeColorHoverPrimary: seemly_1.changeColor(primaryColor, { alpha: 0.6 }), closeColorPressedPrimary: seemly_1.changeColor(primaryColor, { alpha: 0.9 }), borderInfo: `1px solid ${seemly_1.changeColor(infoColor, { alpha: 0.3 })}`, textColorInfo: infoColor, colorInfo: seemly_1.changeColor(infoColor, { alpha: 0.1 }), closeColorInfo: seemly_1.changeColor(infoColor, { alpha: 0.75 }), closeColorHoverInfo: seemly_1.changeColor(infoColor, { alpha: 0.6 }), closeColorPressedInfo: seemly_1.changeColor(infoColor, { alpha: 0.9 }), borderSuccess: `1px solid ${seemly_1.changeColor(successColor, { alpha: 0.3 })}`, textColorSuccess: successColor, colorSuccess: seemly_1.changeColor(successColor, { alpha: 0.1 }), closeColorSuccess: seemly_1.changeColor(successColor, { alpha: 0.75 }), closeColorHoverSuccess: seemly_1.changeColor(successColor, { alpha: 0.6 }), closeColorPressedSuccess: seemly_1.changeColor(successColor, { alpha: 0.9 }), borderWarning: `1px solid ${seemly_1.changeColor(warningColor, { alpha: 0.35 })}`, textColorWarning: warningColor, colorWarning: seemly_1.changeColor(warningColor, { alpha: 0.12 }), closeColorWarning: seemly_1.changeColor(warningColor, { alpha: 0.75 }), closeColorHoverWarning: seemly_1.changeColor(warningColor, { alpha: 0.6 }), closeColorPressedWarning: seemly_1.changeColor(warningColor, { alpha: 0.9 }), borderError: `1px solid ${seemly_1.changeColor(errorColor, { alpha: 0.23 })}`, textColorError: errorColor, colorError: seemly_1.changeColor(errorColor, { alpha: 0.08 }), closeColorError: seemly_1.changeColor(errorColor, { alpha: 0.65 }), closeColorHoverError: seemly_1.changeColor(errorColor, { alpha: 0.5 }), closeColorPressedError: seemly_1.changeColor(errorColor, { alpha: 0.8 }) });
};
const tagLight = {
    name: 'Tag',
    common: common_1.commonLight,
    self
};
exports.default = tagLight;
